std::stop_source Class Reference

## Public Member Functions

| stop_source (const stop_source &__other) noexcept
| stop_source (std::nostopstate_t) noexcept
| stop_source (stop_source &&) noexcept=default
stop_token | get_token () const noexcept
stop_source & | operator= (const stop_source &__other) noexcept
stop_source & | operator= (stop_source &&) noexcept=default
bool | request_stop () const noexcept
bool | stop_possible () const noexcept
bool | stop_requested () const noexcept
void | swap (stop_source &__other) noexcept

## Friends

bool | operator== (const stop_source &__a, const stop_source &__b) noexcept
void | swap (stop_source &__lhs, stop_source &__rhs) noexcept

## Detailed Description

A type that allows a stop request to be made.

Definition at line 478 of file stop_token.

The documentation for this class was generated from the following file:

- stop_token